#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "charge2four4xi.py">
#<abstract4xi abstract = "charges to direction four"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'charge2four4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
try:
    import _winapi
except:
    pass    
import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from fire2four4xi import fire2four4xi
from fire10four4xi import fire10four4xi
from fire100four4xi import fire100four4xi
from fire200four4xi import fire200four4xi
from fire300four4xi import fire300four4xi
from fire400four4xi import fire400four4xi
from fire500four4xi import fire500four4xi
from fire600four4xi import fire600four4xi
from fire700four4xi import fire700four4xi
from fire800four4xi import fire800four4xi
from fire900four4xi import fire900four4xi
from fire1000four4xi import fire1000four4xi
from fire1100four4xi import fire1100four4xi
from fire1200four4xi import fire1200four4xi
from fire1300four4xi import fire1300four4xi
from fire1400four4xi import fire1400four4xi
from fire1500four4xi import fire1500four4xi
from fire1600four4xi import fire1600four4xi
from fire1700four4xi import fire1700four4xi
from fire1800four4xi import fire1800four4xi
from fire1900four4xi import fire1900four4xi
from fire2000four4xi import fire2000four4xi
from fire2100four4xi import fire2100four4xi
from fire2200four4xi import fire2200four4xi
from fire2300four4xi import fire2300four4xi
from fire2400four4xi import fire2400four4xi
from fire2500four4xi import fire2500four4xi
from fire2600four4xi import fire2600four4xi
from fire2700four4xi import fire2700four4xi
from fire2800four4xi import fire2800four4xi
from fire2900four4xi import fire2900four4xi
from fire3000four4xi import fire3000four4xi
from fire3100four4xi import fire3100four4xi
from fire3200four4xi import fire3200four4xi
from fire3300four4xi import fire3300four4xi

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "charge2four4xi" usage = "
#   charges for direction FOUR
#   commands and control via queue and pipe
#"> 
# -----------------------------------------------------------------------------------------------------
       
def charge2four4xi(queue2work, channel2consume, channel2publish):
    '''
    charges for direction FOUR
    '''    
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 1/33) OF CHARGE2FOUR4XI, START TIME: ", time4xi())   
        print('=' *33)
        # 09:45:41 01/24/13 Pacific Standard Time
    
    # ---------------------------------------------------------------------------------------------    
    # QUEUE
    # ---------------------------------------------------------------------------------------------     

    queue2work4four = queue2work
    
    if ack2debug is True:
        print('~' *33)
        print("(STEP 2/33) OF CHARGE2FOUR4XI, QUEUE2WORK4FOUR: ", queue2work4four)
        print('~' *33)
        # <queue4xi.Queue4Xi object at 0x0000000004796F98>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2consume4four = channel2consume
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 3/33) OF CHARGE2FOUR4XI, CHANNEL2CONSUME4FOUR: ", channel2consume4four)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000047967F0>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2publish4four = channel2publish
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 4/33) OF CHARGE2FOUR4XI, CHANNEL2PUBLISH4FOUR: ", channel2publish4four)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000047966D8>
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4four = queue2work4four.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF CHARGE2FOUR4XI - MESSAGE2QET4FOUR GOT: ", message2qet4four) 
            # 
        
        if message2qet4four == "<copy4xi>copy2four</copy4xi>":
            message2put4four = "<roger4xi>roger2four</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF CHARGE2FOUR4XI - SET MESSAGE2PUT4FOUR TO: ", message2put4four) 
                # 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF CHARGE2FOUR4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4four)           
            message2put4four = "<negative4xi>negative2four</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF CHARGE2FOUR4XI - SET MESSAGE2PUT4FOUR TO: ", message2put4four)             
    except:
        message2put4four = "<negative4xi>negative2four</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF CHARGE2FOUR4XI - TRYING TO PUT MESSAGE2PUT4FOUR: ", message2put4four)
        #                              
    try:         
        queue2work4four.put(message2put4four) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF CHARGE2FOUR4XI - PUT TO QUEUE2WORK4FOUR: ", queue2work4four, ' MESSAGE2PUT4FOUR: ', message2put4four)
            print('~' *33)
            # 
        
    except:
        print("(STEP 6c/33) OF CHARGE2FOUR4XI *** FAILED TO PUT TO QUEUE2WORK4FOUR: ", queue2work4four, ' MESSAGE2PUT4FOUR: ', message2put4four)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF CHARGE2FOUR4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4FOUR: ", channel2consume4four)
        # 
    try:
        message2receive4four = channel2consume4four.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF CHARGE2FOUR4XI - RECEIVED MESSAGE2RECEIVE4FOUR: ", message2receive4four)
            # 
        
        if message2receive4four == "<copy4xi>copy2four</copy4xi>":
            message2send4four = "<roger4xi>roger2four</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF CHARGE2FOUR4XI - SET MESSAGE2SEND4FOUR: ", message2send4four)
                # 
        else:
            message2send4four = "<negative4xi>negative2four</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF CHARGE2FOUR4XI - SET MESSAGE2SEND4FOUR: ", message2send4four)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF CHARGE2FOUR4XI - *** EXCEPTION WITH CHANNEL2CONSUME4FOUR.RECV: ", channel2consume4four.recv) 
        message2send4four = "<negative4xi>negative2four</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF CHARGE2FOUR4XI - SET MESSAGE2SEND4FOUR: ", message2send4four)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF CHARGE2FOUR4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4FOUR: ", channel2publish4four)
        # 
    try:         
        channel2publish4four.send(message2send4four)
        if ack2debug is True:
            print("(STEP 8B/33) OF CHARGE2FOUR4XI - SENT MESSAGE2SEND4FOUR: ", message2send4four, " CHANNEL2PUBLISHER4FOUR: ", channel2publish4four)
            # 
    except:
        print("(STEP 8C/33) OF CHARGE2FOUR4XI - *** FAILED TO SEND MESSAGE2SEND4FOUR: ", message2send4four, " CHANNEL2PUBLISHER4FOUR: ", channel2publish4four) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF CHARGE2FOUR4XI - CREATING A DUMMY PROCESS4XI")  
    
    
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2four = DummyProcess4Xi(target=fire2four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 9B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2FOUR: ", dummy2four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2four.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2FOUR: ", dummy2four)
            
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10four = DummyProcess4Xi(target=fire10four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 10B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10FOUR: ", dummy10four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10four.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY10FOUR: ", dummy10four)
                # STARTED THE DUMMY PROCESS4XI DUMMY10FOUR:  <DummyProcess4Xi(Thread-107, started 4116)> 05:22:14 09/01/10 Pacific Daylight Time 
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100four = DummyProcess4Xi(target=fire100four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 100B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100FOUR: ", dummy100four)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # 
        ack2start = False
        try:      
            dummy100four.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY100FOUR: ", dummy100four)
                #  
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200four = DummyProcess4Xi(target=fire200four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 200B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200FOUR: ", dummy200four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200four.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY200FOUR: ", dummy200four)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300four = DummyProcess4Xi(target=fire300four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 300B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300FOUR: ", dummy300four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300four.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY300FOUR: ", dummy300four)
                # 
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400four = DummyProcess4Xi(target=fire400four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 400B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400FOUR: ", dummy400four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400four.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY400FOUR: ", dummy400four)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500four = DummyProcess4Xi(target=fire500four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 500B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500FOUR: ", dummy500four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500four.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY500FOUR: ", dummy500four)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600four = DummyProcess4Xi(target=fire600four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 600B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600FOUR: ", dummy600four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600four.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY600FOUR: ", dummy600four)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700four = DummyProcess4Xi(target=fire700four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 700B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700FOUR: ", dummy700four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700four.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY700FOUR: ", dummy700four)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800four = DummyProcess4Xi(target=fire800four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 800B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800FOUR: ", dummy800four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800four.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY800FOUR: ", dummy800four)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900four = DummyProcess4Xi(target=fire900four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 900B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900FOUR: ", dummy900four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900four.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY900FOUR: ", dummy900four)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000four = DummyProcess4Xi(target=fire1000four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1000B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000FOUR: ", dummy1000four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000four.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000FOUR: ", dummy1000four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100four = DummyProcess4Xi(target=fire1100four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1100B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100FOUR: ", dummy1100four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100four.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100FOUR: ", dummy1100four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200four = DummyProcess4Xi(target=fire1200four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1200B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200FOUR: ", dummy1200four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200four.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200FOUR: ", dummy1200four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300four = DummyProcess4Xi(target=fire1300four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1300B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300FOUR: ", dummy1300four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300FOUR ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300four.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300FOUR: ", dummy1300four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400four = DummyProcess4Xi(target=fire1400four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1400B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400FOUR: ", dummy1400four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400four.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400FOUR: ", dummy1400four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500four = DummyProcess4Xi(target=fire1500four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1500B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500FOUR: ", dummy1500four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500four.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500FOUR: ", dummy1500four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600four = DummyProcess4Xi(target=fire1600four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1600B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600FOUR: ", dummy1600four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600FOUR ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600four.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600FOUR: ", dummy1600four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700four = DummyProcess4Xi(target=fire1700four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1700B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700FOUR: ", dummy1700four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700FOUR ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700four.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700FOUR: ", dummy1700four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800four = DummyProcess4Xi(target=fire1800four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1800B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800FOUR: ", dummy1800four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800FOUR ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800four.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800FOUR: ", dummy1800four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900four = DummyProcess4Xi(target=fire1900four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 1900B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900FOUR: ", dummy1900four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900FOUR ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900four.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900FOUR: ", dummy1900four)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000four = DummyProcess4Xi(target=fire2000four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2000B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000FOUR: ", dummy2000four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000FOUR ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000four.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000FOUR: ", dummy2000four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100four = DummyProcess4Xi(target=fire2100four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2100B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100FOUR: ", dummy2100four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100FOUR ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100four.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100FOUR: ", dummy2100four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200four = DummyProcess4Xi(target=fire2200four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2200B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200FOUR: ", dummy2200four)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200four.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200FOUR: ", dummy2200four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300four = DummyProcess4Xi(target=fire2300four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2300B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300FOUR: ", dummy2300four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300four.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300FOUR: ", dummy2300four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400four = DummyProcess4Xi(target=fire2400four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2400B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400FOUR: ", dummy2400four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400four.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400FOUR: ", dummy2400four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500four = DummyProcess4Xi(target=fire2500four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2500B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500FOUR: ", dummy2500four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500four.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500FOUR: ", dummy2500four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600four = DummyProcess4Xi(target=fire2600four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2600B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600FOUR: ", dummy2600four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600four.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600FOUR: ", dummy2600four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700four = DummyProcess4Xi(target=fire2700four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2700B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700FOUR: ", dummy2700four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700four.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700FOUR: ", dummy2700four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800four = DummyProcess4Xi(target=fire2800four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2800B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800FOUR: ", dummy2800four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800four.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800FOUR: ", dummy2800four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900four = DummyProcess4Xi(target=fire2900four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 2900B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900FOUR: ", dummy2900four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900four.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900FOUR: ", dummy2900four)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000four = DummyProcess4Xi(target=fire3000four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 3000B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000FOUR: ", dummy3000four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000four.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000FOUR: ", dummy3000four)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100four = DummyProcess4Xi(target=fire3100four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 3100B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100FOUR: ", dummy3100four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100four.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100FOUR: ", dummy3100four)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200four = DummyProcess4Xi(target=fire3200four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 3200B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200FOUR: ", dummy3200four)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200FOUR ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200four.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200FOUR: ", dummy3200four)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300four = DummyProcess4Xi(target=fire3300four4xi, 
                                     args =(queue2work4four,
                                            channel2consume4four, channel2publish4four))
        if ack2debug is True:
            print("(STEP 3300B/33) OF CHARGE2FOUR4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300FOUR: ", dummy3300four)
            # <DummyProcess4Xi(Thread-105, initial)>  
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF CHARGE2FOUR4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300FOUR ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF CHARGE2FOUR4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300four.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF CHARGE2FOUR4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300FOUR: ", dummy3300four)
                # STARTED THE DUMMY PROCESS4XI DUMMY3300FOUR:  <DummyProcess4Xi(Thread-105, started 4100)>
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF CHARGE2FOUR4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF CHARGE2FOUR4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                                  
           
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF CHARGE2FOUR4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 09:45:43 01/24/13 Pacific Standard Time 
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of charge2four4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
